/* _content/MainHub.Product.Chatai.ChatUI/Components/Layout/MainLayout.razor.rz.scp.css */
.window[b-nynexzt7jb] {
    display: flex;
    flex-direction: row;
}

.page[b-nynexzt7jb] {
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-nynexzt7jb] {
    flex: 1;
}

header[b-nynexzt7jb] {
    position: absolute;
    top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row-reverse;
    z-index: 200;
}

.header-auth[b-nynexzt7jb] {
    display: flex;
    gap: 0.5rem;
    margin: 16px 28px
}

.header-auth a[b-nynexzt7jb] {
    padding: 2px 16px;
    font-size: 18px;
    border-radius: 16px;
    cursor: pointer;
}

#blazor-error-ui[b-nynexzt7jb] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss[b-nynexzt7jb] {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}
/* _content/MainHub.Product.Chatai.ChatUI/Components/Layout/Sidebar.razor.rz.scp.css */
.sidebar[b-dwzr7ojfp6] {
    width: 300px;
    height: 100vh;
    background-color: var(--primary-color);
    border-radius: 0 24px 24px 0;
    filter: drop-shadow(1px 2px 4px black);
}

.sidebar-logo[b-dwzr7ojfp6] {
    display: block;
    height: 42px;
    margin: 10px 20px;
}

.sidebar-actions[b-dwzr7ojfp6] {
    list-style-type: none;
    padding: 0;
    margin: 8px;
}

.sidebar-actions li[b-dwzr7ojfp6] {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 4px;
    padding: 8px 16px;
    list-style-type: none;
    color: white;
    border-radius: 16px;
}

.sidebar-actions li:hover[b-dwzr7ojfp6] {
    background-color: rgba(255, 255, 255, 0.15);
}

.sidebar-actions li img[b-dwzr7ojfp6] {
    filter: brightness(0) invert(1);
    margin: 0 8px 0 0;
}

.sidebar-actions a[b-dwzr7ojfp6], .sidebar-list a[b-dwzr7ojfp6] {
    text-decoration: none;
    display: block;
}

.sidebar-actions a.active li[b-dwzr7ojfp6] {
    background-color: rgba(255, 255, 255, 0.2);
    font-weight: 500;
}

.sidebar-list li.active[b-dwzr7ojfp6] {
    background-color: rgba(255, 255, 255, 0.2);
    font-weight: 500;
}

.sidebar-separator[b-dwzr7ojfp6] {
    height: 1px;
    background-color: rgba(255, 255, 255, 0.8);
    margin: 10px 15px;
}

.sidebar-list[b-dwzr7ojfp6] {
    overflow-y: scroll;
    max-height: 80vh;
    list-style-type: none;
    padding: 0;
    margin: 8px;
}

.sidebar-list li[b-dwzr7ojfp6] {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 8px 16px;
    margin: 0.1em;
    color: white;
    list-style-type: none;
    border-radius: 16px;
}

.sidebar-list li:hover[b-dwzr7ojfp6] {
    background-color: rgba(255, 255, 255, 0.15);
}

.sidebar-list li p[b-dwzr7ojfp6] {
    margin: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: white;
}

.sidebar-list li img[b-dwzr7ojfp6] {
    filter: brightness(0) invert(1);
    margin: 0 0 0 0 !important;
    visibility: hidden;
    cursor: pointer;
    position: relative;
}

.sidebar-list li:hover img[b-dwzr7ojfp6] {
    visibility: visible;
}

.sidebar-list[b-dwzr7ojfp6]::-webkit-scrollbar {
    width: 4px;
}

.sidebar-list[b-dwzr7ojfp6]::-webkit-scrollbar-track {
    background: transparent;
}

.sidebar-list[b-dwzr7ojfp6]::-webkit-scrollbar-thumb {
    background-color: rgb(255, 255, 255);
    border-radius: 15px;
}

.sidebar-section-header[b-dwzr7ojfp6] {
    font-size: 0.8rem;
    font-weight: 300;
    color: #e4e4e4;
    padding: 8px 16px 4px;
    margin-top: 8px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    pointer-events: none;
}
